Delete Lien Submission Attachment
curl --request DELETE \
--url https://api.baselayer.com/lien_submissions/{filing_id}/attachments/{attachment_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/lien_submissions/{filing_id}/attachments/{attachment_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/lien_submissions/{filing_id}/attachments/{attachment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 1,
"message": "Could not locate the resource for the given URI.",
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Lien Filing
Delete Lien Submission Attachment
Deletes a specific attachment from a lien filing submission.
This endpoint allows users to delete an attachment associated with a lien filing submission. The attachment is identified by its unique ID, and the lien filing submission is identified by its unique filing ID.
DELETE
/
lien_submissions
/
{filing_id}
/
attachments
/
{attachment_id}
Delete Lien Submission Attachment
Authorizations
Path Parameters
The ID of the lien filing to delete the attachment from.
The ID of the attachment to delete from the lien filing.
Response
The lien filing attachment has been successfully deleted.